﻿Imports System.Text
Imports System.Runtime.InteropServices
Imports System.Windows.Forms
Public Class UnmanagedAPI
   <DllImport("kernel32.dll", SetLastError:=True)>
   Public Shared Function GetShortPathName(pathName As String, shortName As StringBuilder, cbShortName As Integer) As Integer
   End Function

   Private Shared Function GetShortFileName(sPath As String) As String
      Dim sb As New StringBuilder(300)
      Dim n As Integer = GetShortPathName(sPath, sb, 300)

      If n = 0 Then
         MessageBox.Show(Marshal.GetLastWin32Error().ToString())
      Else
         MessageBox.Show(sb.ToString())
      End If

      Return IO.Path.GetFileNameWithoutExtension(sb.ToString)

   End Function
   <DllImport("kernel32.dll", SetLastError:=True)> _
   Private Shared Function WritePrivateProfileString(ByVal lpAppName As String, _
                        ByVal lpKeyName As String, _
                        ByVal lpString As String, _
                        ByVal lpFileName As String) As Boolean
   End Function
   <DllImport("kernel32.dll", SetLastError:=True)> _
   Private Shared Function GetPrivateProfileString(ByVal lpAppName As String, _
                            ByVal lpKeyName As String, _
                            ByVal lpDefault As String, _
                            ByVal lpReturnedString As StringBuilder, _
                            ByVal nSize As Integer, _
                            ByVal lpFileName As String) As Integer
   End Function
   Public Shared Sub WriteToIniFile(sSection As String, sKeyName As String, sKeyValue As String, sFileName As String)
      WritePrivateProfileString(sSection, sKeyName, sKeyValue, sFileName)
   End Sub
   Public Shared Function ReadFromIniFile(sSection As String, sKeyName As String, sFileName As String) As String
      Dim oReturnValue As New StringBuilder(300)
      GetPrivateProfileString(sSection, sKeyName, String.Empty, oReturnValue, 300, sFileName)
      Return oReturnValue.ToString
   End Function

End Class
